Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 72581 - network config goes loopy in the presence of mixed configured pcmcia and unconfigured normal
Summary: network config goes loopy in the presence of mixed configured pcmcia and unco...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-08-25 20:09 UTC by Alan Cox
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-05 08:23:55 UTC


Attachments (Terms of Use)

Description Alan Cox 2002-08-25 20:09:09 UTC
I set the box up in the installer with the natsemi card the detect found
unconfigured and not enabled at boot. I don't actually want to be using it.

I stuck in a wireless card (Buffalo).

Run redhat-config-network
           Selected hardware, selected the wireless hardware
           Hit edit
               It crashed
Run redhat-config-network
           Select add, added a wireless interface
           The console spewed diagnostics
           The wireless tool version being wrong spewed more errors
           The right defaults appeared (nice)
           Added it
           Discovered I had two eth0's now, one the natsemi one the wireless

Tried to activate the wireless
           It failed with weird errors about not being able to rename devices
           because they already exists. I assume natsemi

Tried to activate the natsemi card
           Failed. The explanation (no cable attached) appeared in the console
           not the GUI tool

Removed the natsemi module
Run redhat-config-network
           Something reloaded the module

Remove natsemi from modules.conf, rmmod it
Run redhat-config-network
           Tried to activate the wireless card
           It failed
           On the console it complained about wrong mac address, ignoring

Run redhat-config-network
           Deleted everything I could find
           Reconfigured from scratch
           Didnt work still
           Rebooted
           Worked

God knows what will happen if I re-enable the natsemi module 8(

Comment 1 Trond Eivind Glomsrxd 2002-08-27 23:00:02 UTC
Did you get any tracebacks?

Comment 2 Alan Cox 2002-08-28 11:31:34 UTC
Oops sorry should have attached it earlier

For the crash case I got

Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network", line 1333, in
on_hardwareEditButton_clicked
    self.showHardwareDialog(type, true)
  File "/usr/sbin/redhat-config-network", line 1388, in showHardwareDialog
    dl = dialog.xml.get_widget('Dialog')
UnboundLocalError: local variable 'dialog' referenced before assignment

Local variables in innermost frame:
edit: 1
deviceType: Wireless
self: <__main__.mainDialog instance at 0x840006c>
hardwarelist: [<rhpl.genClass.Hardware instance at 0x85015a4>]


Comment 3 Alan Cox 2002-08-28 11:33:58 UTC
The spewed mess during add is

** (redhat-config-network:2732): WARNING **: could not find handler
`on_routeAddButton_clicked'

** (redhat-config-network:2732): WARNING **: could not find handler
`on_routeDeleteButton_clicked'

** (redhat-config-network:2732): WARNING **: could not find handler
`on_routeEditButton_clicked'

** (redhat-config-network:2732): WARNING **: could not find handler
`on_hardwareAliasesToggle_toggled'

** (redhat-config-network:2732): WARNING **: could not find handler
`on_hardwareProbeButton_clicked'

** (redhat-config-network:2732): WARNING **: could not find handler
`on_hardwareMACToggle_toggled'

** (redhat-config-network:2732): WARNING **: could not find handler
`on_dialupPasswordEntry_changed'



Comment 4 Trond Eivind Glomsrxd 2002-08-28 16:24:38 UTC
Fixed in CVS a couple of days ago.

Comment 5 Trond Eivind Glomsrxd 2002-08-28 16:38:10 UTC
1.1.17-1 has been built. Please give it a test.

Comment 6 Harald Hoyer 2003-01-13 11:44:52 UTC
status?


Note You need to log in before you can comment on or make changes to this bug.